Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### mouseMoved()

Examples

    // Move the mouse across the image
    // to change its value

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseMoved() {
      value = value + 5;
      if (value > 255) {
        value = 0;
      }
    }

Description | The mouseMoved() function is called every time the mouse moves and a mouse button is not pressed.

Syntax

    void mouseMoved() {
      statements
    }

Parameters

Usage | Web & Application
Related | mouseX mouseY mousePressed mousePressed() mouseReleased() mouseDragged()

Updated on February 09, 2008 04:38:52pm PST